View Issue Details

IDProjectCategoryView StatusLast Update
0003327SymmetricDSImprovementpublic2018-05-08 16:09
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.7Fixed in Version3.9.7 
Summary0003327: Support SQL Server geography type
DescriptionCurrently, it appears that the "geometry" type works, but not the "geography" type.

**SETUP**

CREATE TABLE test (
    ID INT NOT NULL PRIMARY KEY
    , GEOGRAPHY geography
);

INSERT INTO test VALUES (
    001, geography::Parse('POINT(34.1790991 -84.1217773)'));

--or use the syntax

INSERT INTO test VALUES (
    002, 'POINT(44.1790991 -84.4412174563)');
--Sent Schema to target
--Setup triggers/routers
--Send load data

**ACTUAL ERROR**
2017-11-28 14:23:05,185 ERROR [corp] [AcknowledgeService] [qtp267760927-16] The outgoing batch 001-18 failed: [S1000,6522] A .NET Framework error occurred during execution of user-defined routine or aggregate "geography":
System.ArgumentException: 24204: The spatial reference identifier (SRID) is not valid. The specified SRID must match one of the supported SRIDs displayed in the sys.spatial_reference_systems catalog view.
System.ArgumentException:
TagsNo tags attached.

Activities

mmichalek

2018-04-04 10:21

administrator   ~0001161

This code is from a community commit from lyamin626. https://github.com/JumpMind/symmetric-ds/pull/72

Related Changesets

SymmetricDS: 3.9 173081d5

2018-04-04 10:19:24

mmichalek

Details Diff
0003327: Support SQL Server geography type
0003327
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2017-12-04 09:03 mmichalek New Issue
2018-04-04 10:21 mmichalek Note Added: 0001161
2018-04-04 10:22 mmichalek Assigned To => mmichalek
2018-04-04 10:22 mmichalek Status new => resolved
2018-04-04 10:22 mmichalek Resolution open => fixed
2018-04-04 10:22 mmichalek Fixed in Version => 3.9.7
2018-04-04 10:22 mmichalek Target Version => 3.9.7
2018-04-04 11:00 mmichalek Changeset attached => SymmetricDS 3.9 173081d5
2018-05-08 16:09 mmichalek Status resolved => closed